Publicité
+ Répondre à la discussion
Affichage des résultats 1 à 4 sur 4
  1. #1
    Invité de passage
    Inscrit en
    janvier 2011
    Messages
    15
    Détails du profil
    Informations forums :
    Inscription : janvier 2011
    Messages : 15
    Points : 2
    Points
    2

    Par défaut Installation sur PHP 5.3.4

    Bonjour,

    Je souhaite installer symfony, pour cela il me faut installer PEAR.
    Je possède WAMP 2.1 avec php 5.3.4. et sur le net il parle tous d'un fichier "go-pear.bat" (ou encore d'un repertoire PEAR) qui serait déjà présent dans le répertoire de php... Seulement cela n'a l'air vrai que pour les versions antérieures de PHP !

    J'ai essayer de télécharger un package de PEAR http://pear.php.net/package/PEAR le readme dit :
    " If you are running PHP 5.2.0 or newer, simply download and
    run the windows installer (.msi) and PEAR can be automatically
    installed."

    Cependant impossible de trouver ce fichier .msi dans le package !

    Quelqu'un sait-il comment procéder pour installer PEAR sur PHP 5.3.4 ?
    J'ai déjà effectué de maintes recherches sur le net...

    bye.

  2. #2
    Modérateur

    Inscrit en
    septembre 2010
    Messages
    7 957
    Détails du profil
    Informations forums :
    Inscription : septembre 2010
    Messages : 7 957
    Points : 9 498
    Points
    9 498

    Par défaut

    il parle du MSI qui vient de php.net (l'install standard), il faut juste chopper le go-pear.phar et faire php go-pear.phar

  3. #3
    Invité de passage
    Inscrit en
    janvier 2011
    Messages
    15
    Détails du profil
    Informations forums :
    Inscription : janvier 2011
    Messages : 15
    Points : 2
    Points
    2

    Par défaut

    J'ai récupérer le fichier dont tu parles ici "pear.php.net/go-pear.phar"
    ensuite je l'ai placé dans le fichier C:\wamp\bin\php
    en ligne de commande je me suis placé dans ce fichier et j'ai fais "php go-pear.phar" et cela me sort

    " 'php' n'est pas reconnu en tant que commande interne ou externe, un programme exécutable ou un fichier de commandes."

    Je fais pourtant du php tous les jours avec WAMP...

  4. #4
    Modérateur
    Avatar de sabotage
    Homme Profil pro Vincent
    Inscrit en
    juillet 2005
    Messages
    20 910
    Détails du profil
    Informations personnelles :
    Nom : Homme Vincent

    Informations forums :
    Inscription : juillet 2005
    Messages : 20 910
    Points : 27 296
    Points
    27 296

    Par défaut

    ca signifie que tu n'as pas de php.exe dans ce repertoire.

Liens sociaux

Règles de messages

  • Vous ne pouvez pas créer de nouvelles discussions
  • Vous ne pouvez pas envoyer des réponses
  • Vous ne pouvez pas envoyer des pièces jointes
  • Vous ne pouvez pas modifier vos messages
  •